Unit Form_Main;

Interface

Uses
     Windows,
     Messages,
     SysUtils,
     Classes,
     Graphics,
     Controls,
     Forms,
     Dialogs,
     mxProtector,
     StdCtrls,
     ComCtrls;

Type
     Tfrm_MainWindow = Class( TForm )
          btn_Go: TButton;
          btn_Cancel: TButton;
          Label1: TLabel;
          lbl_Message: TLabel;
          btn_Reset: TButton;
          Label2: TLabel;
          Label3: TLabel;
          ProgressBar: TProgressBar;
          lbl_Remaining: TLabel;
          mxProtector: TmxProtector;
          Procedure FormCreate( Sender: TObject );
          Procedure btn_CancelClick( Sender: TObject );
          Procedure btn_GoClick( Sender: TObject );
          Procedure btn_ResetClick( Sender: TObject );
          Procedure mxProtectorExpiration( Sender: TObject );
          Procedure mxProtectorInvalidSystemTime( Sender: TObject );
          Procedure mxProtectorDayTrial( Sender: TObject; DaysRemained: Integer );
     Private

     Public

     End;

Var
     frm_MainWindow: Tfrm_MainWindow;

Implementation

{$R *.DFM}

// *************************************************************************************
// ** Tfrm_MainWindow.FormCreate, 8/21/01 4:09:20 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.FormCreate( Sender: TObject );
Begin
     // If poAutoInit is excluded from Option you have to init the protection ***
     // mxProtector.Init;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_CancelClick, 8/21/01 4:12:29 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_CancelClick( Sender: TObject );
Begin
     Close;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_GoClick, 8/21/01 4:20:55 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_GoClick( Sender: TObject );
Begin
     MessageDlg( 'Your application is started', mtInformation, [ mbOK ], 0 );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_ResetClick, 8/21/01 4:41:49 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_ResetClick( Sender: TObject );
Begin
     mxProtector.Reset;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtectorExpiration, 8/22/01 10:50:58 AM
// *************************************************************************************

Procedure Tfrm_MainWindow.mxProtectorExpiration( Sender: TObject );
Begin
     lbl_Remaining.Caption := '0 days remained';
     lbl_Message.Caption := 'This licence has expired';
     btn_Reset.Enabled := TRUE;
     btn_Go.Enabled := FALSE;
     ProgressBar.Max := 0;
     ProgressBar.Position := 0;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtectorInvalidSystemTime, 9/12/01 9:46:41 AM
// *************************************************************************************

Procedure Tfrm_MainWindow.mxProtectorInvalidSystemTime( Sender: TObject );
Begin
     MessageDlg( 'Your system time is invalid.' + #13 + #10 + 'Please set the correct date and time to continue.', mtError, [ mbOK ], 0 );
End;

// *************************************************************************************
// *** Tfrm_MainWindow.mxProtectorDayTrial, 2001.10.16. 10:14:08
// *************************************************************************************

Procedure Tfrm_MainWindow.mxProtectorDayTrial( Sender: TObject; DaysRemained: Integer );
Begin
     If DaysRemained = 1 Then
          lbl_Message.Caption := 'Only one licenced day left'  Else
          lbl_Message.Caption := Format( 'This software licence will expire after %d days.', [ DaysRemained ] );

     lbl_Remaining.Caption := Format( '%d days remaining', [ DaysRemained ] );
     btn_Reset.Enabled := FALSE;
     btn_Go.Enabled := TRUE;
     ProgressBar.Max := mxProtector.MaxDayNumber;
     ProgressBar.Position := DaysRemained;
End;

End.

