Unit Form_Main;

Interface

Uses
     Windows,
     Messages,
     SysUtils,
     Classes,
     Graphics,
     Controls,
     Forms,
     Dialogs,
     mxProtector,
     StdCtrls;

Type
     Tfrm_MainWindow = Class( TForm )
          btn_Go: TButton;
          btn_Cancel: TButton;
          Label1: TLabel;
          lbl_Message: TLabel;
          btn_Reset: TButton;
          Label2: TLabel;
          Label3: TLabel;
          btn_Password: TButton;
          Label4: TLabel;
          mxProtector: TmxProtector;
          Procedure GetPassword( Sender: TObject; Var Password: String );
          Procedure FormCreate( Sender: TObject );
          Procedure ValidPassword( Sender: TObject );
          Procedure WrongPassword( Sender: TObject; WrongPassword: String );
          Procedure btn_CancelClick( Sender: TObject );
          Procedure btn_GoClick( Sender: TObject );
          Procedure btn_ResetClick( Sender: TObject );
          Procedure Button1Click( Sender: TObject );
     Private

     Public

     End;

Var
     frm_MainWindow: Tfrm_MainWindow;

Implementation

{$R *.DFM}

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtector1GetPassword, 8/21/01 3:58:23 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.GetPassword( Sender: TObject; Var Password: String );
Begin
     Password := InputBox( 'Password', 'Please enter your password', '' );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.FormCreate, 8/21/01 4:09:20 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.FormCreate( Sender: TObject );
Begin
     // If poAutoInit is excluded from Option you have to init the protection ***
     // mxProtector.Init;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtector1ValidPassword, 8/21/01 4:09:22 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.ValidPassword( Sender: TObject );
Begin
     btn_Go.Enabled := TRUE;
     btn_Password.Enabled := False;
     btn_Reset.Enabled := TRUE;

     lbl_Message.Caption := 'You have entered the valid password.'#13#10'Press the reset button to reset the protection.';
End;

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtector1WrongPassword, 8/21/01 4:11:21 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.WrongPassword( Sender: TObject; WrongPassword: String );
Begin
     btn_Go.Enabled := False;
     btn_Password.Enabled := True;
     btn_Reset.Enabled := False;

     MessageDlg( 'This password is invalid!'#13#10'Type "delphi" to continue', mtError, [ mbOK ], 0 );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_CancelClick, 8/21/01 4:12:29 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_CancelClick( Sender: TObject );
Begin
     Close;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_GoClick, 8/21/01 4:20:55 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_GoClick( Sender: TObject );
Begin
     MessageDlg( 'Your application is started', mtInformation, [ mbOK ], 0 );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_ResetClick, 8/21/01 4:41:49 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_ResetClick( Sender: TObject );
Begin
     mxProtector.Reset;
     MessageDlg( 'You must enter password after restart again', mtInformation, [ mbOK ], 0 );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.Button1Click, 8/21/01 5:01:15 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.Button1Click( Sender: TObject );
Begin
     mxProtector.CheckPassword;
End;

End.

